/*************************************************************************
fur_generator.cpp

Functions for generating fur polygons and textures

Author   :   Lukas Heise

Written for More OpenGL Game Programming
*************************************************************************/

#ifndef __FUR_GENERATOR_H
#define __FUR_GENERATOR_H


#include "MGLApp.h"
#include "MGLVector.h"

using namespace std;
using namespace MGL;

void generateShellTexture(GLuint* ids, int num_shell_textures, int size);
void buildFins(ASE_Scene* m, vector<GLuint>& material_list, vector<GLuint>& display_lists, float fur_length, float fur_scale, GLuint finTexture);
void buildShells(ASE_Scene* m, vector<GLuint>& material_list, vector<GLuint>& display_lists, GLuint* shell_textures, int num_shell_textures, float fur_length, float fur_scale);

#endif