!!ARBfp1.0
# This is used to draw the model using LDR image based lighting. It works exactly the same
# way as hdri_all.fp but the texture lookups are clamped as soon as they come in to simulate
# LDR images.

PARAM exposure = program.env[0];

TEMP diff, refl, occ;
TEX_SAT occ,  fragment.texcoord[0], texture[0], 2D;
TEX_SAT diff, fragment.texcoord[1], texture[1], CUBE;
TEX_SAT refl, fragment.texcoord[2], texture[2], CUBE;

MUL refl, refl, fragment.color;
MUL diff, diff, occ;
ADD diff, refl, diff;

MUL result.color, diff, exposure;
END
