uniform sampler2D tex_unit_0; // texture from previous blurring stage

const float k = 10.0;
const float lambda = 0.10;
	
void main()
{
	vec4 sample[5];
	
	sample[0] = texture2D(tex_unit_0, gl_TexCoord[0].st);
	sample[1] = texture2D(tex_unit_0, gl_TexCoord[1].st);
	sample[2] = texture2D(tex_unit_0, gl_TexCoord[2].st);
	sample[3] = texture2D(tex_unit_0, gl_TexCoord[3].st);
	sample[4] = texture2D(tex_unit_0, gl_TexCoord[4].st);

	gl_FragColor = 	(sample[0] + (sample[1] + sample[2] + sample[3] + sample[4])*0.25) * 0.5;
	gl_FragColor.w = 1.0;
}
