#ifndef TORUS_H
#define TORUS_H

struct TorusVertex
{
	MGL::Vector3 position;
	float s, t;
	MGL::Vector3 tangent, binormal;
	MGL::Vector3 normal;

	//Rows of the matrix with columns tangent, binormal, normal
	MGL::Vector3 tbn[3];
};

class Torus
{
public:
	Torus(int precision);
	~Torus();

	std::vector <TorusVertex> vertices;
	std::vector <unsigned int> indices;
};

#endif	//TORUS_H
