uniform mat4 mat4_view_inv; // matrix view inverse

void main()
{
	gl_Position = gl_ModelViewMatrix * gl_Vertex;
    vec4 pos_global = mat4_view_inv * gl_Position;
    
    gl_TexCoord[0] = gl_TextureMatrix[0] * pos_global;
	
	// ftransform() = gl_ModelViewProjectionMatrix * gl_Vertex
	gl_Position = ftransform(); 
}
