!!ARBfp1.0
# This is used to draw the model using HDR image based lighting. Texture 0 is the 2D ambient occlusion map,
# Texture 1 is the diffuse irradiance cubemap, and Texture 2 is the reflection cubemap.  Texcoord1 and 2
# are generated texture coordinates (normal mapping and reflection mapping respectively) which is all done
# with the fixed function vertex pipeline.

PARAM exposure = program.env[0];

TEMP diff, refl, occ;

TEX occ,  fragment.texcoord[0], texture[0], 2D;
TEX diff, fragment.texcoord[1], texture[1], CUBE;
TEX refl, fragment.texcoord[2], texture[2], CUBE;

MUL refl, refl, fragment.color;
MUL diff, diff, occ;
ADD diff, refl, diff;

MUL result.color, diff, exposure;
END
