uniform sampler2D tex_unit_0; // texture from previous blurring stage

void main()
{
	vec4 sample[4];
	
	sample[0] = texture2D(tex_unit_0, gl_TexCoord[0].st);
	sample[1] = texture2D(tex_unit_0, gl_TexCoord[1].st);
	sample[2] = texture2D(tex_unit_0, gl_TexCoord[2].st);
	sample[3] = texture2D(tex_unit_0, gl_TexCoord[3].st);

	gl_FragColor = 	(sample[0] + sample[1] + sample[2] + sample[3]) / 4.0;
}
