#ifndef __C_CAMERA__
#define __C_CAMERA__

#include <GL/glee.h>
#include "../../_common/MGLVector.h"
#include "../../_common/MGLUtil.h"


namespace MGL {

class CCamera
{
	Vector3 p[4];
public:
	CCamera();
	void Refract(Vector3 A, Vector3 N, float index_of_refraction);
	void Apply();
	void LookAt(Vector3 pos, Vector3 at, Vector3 v_up);
};

} // namespace MGL

#endif //__C_CAMERA__