/*************************************************************************
gui.h

OpenGL based Menu style GUI, quick & dirty
just hacked C code migrated from an earlier unpublished project

Author   :   Angus Dorbie

Published for More OpenGL Game Programming
*************************************************************************/

#ifndef __gui_h_
#define __gui_h_

#include "fontprint.h"

// App -> GUI init and input (used in wrapper in some cases)
void GUI_MouseMove(float x, float y);
void GUI_LeftButtonUp(void);
void GUI_LeftButtonDown(void);
void GUI_Draw(void);
void GUI_Init(fontprint *init_text);

// GUI dimensions for viewport scaling
extern float gui_left;
extern float gui_right;
extern float gui_bottom;
extern float gui_top;

// App -> GUI value sets for GUI -> App comms
void GUI_SetPolarize(bool *val_ptr);
void GUI_SetAmplitude(float *val_ptr);
void GUI_SetSkyColor(float *val_ptr);
void GUI_SetWaterColor(float *val_ptr);
void GUI_SetFog(float *val_ptr);


#endif