/*************************************************************************
SkyPlane.h

Skyplane implementation

Author   :   Dimi Christopoulos

*************************************************************************/
#ifndef SKYPLANE_H_
#define SKYPLANE_H_

void GenerateSkyPlane(int divisions, float PlanetRadius, float AtmosphereRadius, float hTile, float vTile, float alphaPercent, bool exponentialFadeout=false);
int RenderSkyPlane(int alpha);
void ReleaseSkyPlane();

#endif
