#pragma once
/*
** frustum.h
**
** Copyright (C) 2005 Wael EL ORAIBY
**
** frustum class
**
** Written for More OpenGL Game Programming
*/

class Frustum {
protected:
	plane			planes[6];			// frustum planes

public:
	Frustum() {}
	~Frustum() {}

	void			setupFromGL();		// extract frustum plane from OpenGL
	bool			isInside(const vec3 &center, float radius);		// check if the sphere is inside
	bool			isInside(const vec3 &min, const vec3 &max);		// check if the bounding box is inside
};