<html>
<head>
  <title>More OpenGL Game Programming - Source Code</title>

<!--#include file="top.htm"-->
<p>Below, you will find the code for the example programs included with the book. The code is currently provided as a single .zip file, but we'll soon provide one .zip file per chapter so that you can just download updates. If you do not download the entire archive (which is recommended), you will need to be sure to download the _common files and place them at the same directory level as the chapter directories in order to compile correctly.
<p>Some of the demos are currently in a rough state (i.e. you may have trouble building/running them), but we have uploaded them to avoid hindering the readers in anyway. As we clean them up, they'll be posted here, and you can check the history to see what has changed.
<p>It is our plan to make all demos available in multiple versions, including:
<ul>
  <li>Win32-based, with both VS6 and VS.NET project files
  <li>SDL-based, with both VS6 and VS.NET project files
  <li>SDL-based for Linux
</ul>
<p>These versions will be made available as separate downloads as soon as they are ready. At the present time, the demos contain a mix of the above.

<h1>Updates</h1>
<ul>
  <li>11/30/05 - Cleaned up Chapter 1 demos, and added several missing demos from Chapter 5. Both are available as separate downloads.
  <li>11/17/05 - Uploaded initial version of most of the demos
</ul>

<h1>Code</h1>
<p>All demos take advantage of <a href="http://elf-stone.com/glee.php">GLee</a> for extension management, and are build on a common application framework for convenience. Some of the demos require advanced graphics features that may not be supported on older hardware.
<p>If you are having problems with any of the demos, please post in the GameDev.net <a href="http://www.gamedev.net/community/forums/forum.asp?forum_id=25">OpenGL forum</a> (which many of the authors frequent) or contact <a href="mailto:dave@gamedev.net">dave@gamedev.net</a>.
<p><b>Note:</b> Some of the demos require MSVCR71D.dll to run. If you don't already have this on your system, it can be found in several of the directories. You just need to copy it to your Windows/System32 directory.</p>
<p><a href="code/moglgp-all-v2.zip">Download the entire code archive here</a> (57 MB).
<p><b>Chapters</b>
<ul>
  <li><a href="code/_common.zip">_common</a> (372 KB)
  <li><a href="code/Chapter01-v1.zip">Chapter01</a> (1.3 MB)
  <li><a href="code/Chapter05-v1.zip">Chapter05</a> (6.9 MB)
</ul>

<!--<li> (Special thanks to <a href="mailto:mancuz28@aol.com">Daniel Mancusi</a> for providing the wheel model for the Glow demo.)-->
<br><br><br><br><br><br><br><br><br>
<!--#include file="bottom.htm"-->
